# TrieNode | data-structure-typed
Documentation for data-structure-typed

# Class TrieNode

#### Copyright

2030 Tyler Zeng zrwusa@gmail.com

#### License

MIT

#### Hierarchy

- TrieNode

- Defined in src/data-structures/trie/trie.ts:5

#####
Index

### Constructors

constructor

### Properties

_children
_isEnd
_value

### Accessors

children
isEnd
val

## Constructors

### constructor

- new TrieNode(v): TrieNode

- #### Parameters

  - ##### v: string

  #### Returns TrieNode

  - Defined in src/data-structures/trie/trie.ts:8

## Properties

### `Protected` _children

_children: Map<string, TrieNode >

- Defined in src/data-structures/trie/trie.ts:14

### `Protected` _isEnd

_isEnd: boolean

- Defined in src/data-structures/trie/trie.ts:24

### `Protected` _value

_value: string

- Defined in src/data-structures/trie/trie.ts:6

## Accessors

### children

- get children(): Map<string, TrieNode >

- #### Returns Map<string, TrieNode >

  - Defined in src/data-structures/trie/trie.ts:16
- set children(v): void

- #### Parameters

  - ##### v: Map<string, TrieNode >

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:20

### isEnd

- get isEnd(): boolean

- #### Returns boolean

  - Defined in src/data-structures/trie/trie.ts:26
- set isEnd(v): void

- #### Parameters

  - ##### v: boolean

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:30

### val

- get val(): string

- #### Returns string

  - Defined in src/data-structures/trie/trie.ts:34
- set val(v): void

- #### Parameters

  - ##### v: string

  #### Returns void

  - Defined in src/data-structures/trie/trie.ts:38

Generated using TypeDoc